want to upgrade DSi to 1.4.3 for a DSTTi

Discussion in 'DSTT' started by kains_shadow, Jan 20, 2012.

Jan 20, 2012
  1. kains_shadow
    OP

    Newcomer kains_shadow Member

    Joined:
    Mar 14, 2009
    Messages:
    20
    Country:
    United States
    As far i have read and understad, there is a kernel update for DSTTi which enables it to run on DSi 1.4.3

    I hadn't upgraded the DSi but i want to be sure before doing it. by the way i use an oriinal DSTTi (pased anticopy check and all those stuffs) so anyone could explain me how i do the upgrade because i read on some webs that it only works on certians firmwares (or kernels?) and it's not too documentated as far i had investigated.

    so my questions are:
    1- what i do need to do for DSTTi kernel to run on a DSi 1.4.3?
    2- if i need a firmware for it to work which is? and... it gives good compatiblity to games?

    links for the files of kernel and firmware could be nice too. :)
     
  2. s4mid4re

    Member s4mid4re  

    Joined:
    Apr 2, 2011
    Messages:
    1,669
    Country:
    United States
    You can only update using the official kernel hosted on dstt's official website (meaning that you can't update using YSmenu or any unofficial firmware).

    I really haven't kept up with the dstt's updates (since I use all of my flashcarts, including my dstti, on my ds phat, which can't block flashcarts like dsi/3ds), so I can't help much on that. As far as I know, it's an unofficial release that has a high brick rate, so I wouldn't recklessly try it.
     
  3. kains_shadow
    OP

    Newcomer kains_shadow Member

    Joined:
    Mar 14, 2009
    Messages:
    20
    Country:
    United States
  4. s4mid4re

    Member s4mid4re  

    Joined:
    Apr 2, 2011
    Messages:
    1,669
    Country:
    United States
    That is an unofficial firmware (like YSmenu). I downloaded/checked the files, and it's just the firmware, not the bootloader update (which would be the file you want, in order to update your dstti to work on a dsi/3ds fw). You're way better off using RetroGameFan's files, if you want the highest compatibility using a dstt.

    EDIT: I mentioned the official kernel (from the official website), since that is the file you need for the bootloader updater to work. It will not work on any unofficial firmware.
     
  5. jimmyemunoz

    Member jimmyemunoz GBAtemp Advanced Maniac

    Joined:
    Feb 23, 2009
    Messages:
    1,958
    Location:
    Louisiana
    Country:
    United States
    All files you will need in one spot here
     
  6. kains_shadow
    OP

    Newcomer kains_shadow Member

    Joined:
    Mar 14, 2009
    Messages:
    20
    Country:
    United States
    Tried to make the ting work... and i think i ended whit a DSTTi brik.... ..... ..... nice.... sarcasm/
     
  7. jimmyemunoz

    Member jimmyemunoz GBAtemp Advanced Maniac

    Joined:
    Feb 23, 2009
    Messages:
    1,958
    Location:
    Louisiana
    Country:
    United States
    Let me guess, you shut the DS off while it was updating?
     
  8. kains_shadow
    OP

    Newcomer kains_shadow Member

    Joined:
    Mar 14, 2009
    Messages:
    20
    Country:
    United States
    After starting the update it stuck at 00.78% and i leave it there for about an hour... so yes... i shut it down afther it bored me the 00.78% screen....

    Anyway i think i should say good bye to my DSTTi and think in getting another... so thanks everyone.
     
  9. bitonio6

    Member bitonio6 GBAtemp Advanced Maniac

    Joined:
    Sep 30, 2009
    Messages:
    1,801
    Country:
    Switzerland
    You DSTTi was not an original i think...

    Next time, forget all shop who give files to upgrade or to obtain new kernel
    you can find everything on gbatemp thread!

    First go there -> http://gbatemp.net/t...3ds21-firmware/
    After that you can take the files from the thread of RGF, everything will be in it

    ;)
     

Share This Page